node {
stage('git') {
git branch: 'main', url: 'https://gitlab.com/Guicotine/projet_squad.git'
}
stage('maven') {
withMaven(jdk: 'jdk8', maven: 'maven', tempBinDir: '') {
sh "mvn clean verify"
}
}
stage('Build Docker')
{
image = docker.build("guicotine/maven-gui", '-f Dockerfile .')
sh 'docker images'
print(image)
}
stage('Test')
{
container = image.run('-p 10000-10010:8080')
customport = container.port(8080)
portexact = customport.split(":")[1]

variable = 1
try {
variable = input message: "Il faut tester le site en 13.40.139.134:${portexact} ", ok: "Next"
}
finally
{
container.stop()
if (variable == 1)
{
sh 'docker rmi guicotine/maven-gui:late}st'
sh 'docker images'
}
}
}
stage ('push dockerhub')
{
docker.withRegistry( '', 'logdockerhub'){
image.push()
}
}
stage ('nettoyage')
{
sh 'docker rmi guicotine/maven-gui:latest'
sh 'docker images'
}
}

